Introduction

This guide will take you through the steps required to set up and configure the ToCoM system on your computers. The guide is split into two sections – the first section covers installation of the ToCoM System on your server, and the creation of your ToCoM data systems. The second section covers configuring your new system, installing and managing ToCoM system services, and setting up workstations to access the system.

If you encounter any problems during this process, or aren't quite sure of any step, please register for support on our web site at www.tcmsys.com. By registering your copy of the Suite, you'll be entitled to 10 days of free support from the ToCoM Helpdesk.


Requirements

To be able to set up the ToCoM System, you'll need the following:

  • The ToCoM Setup compact disc.
  • To set up a Multi-User ToCoM System: A Windows NT® (service pack 6 recommended) network server or a Windows 2000® server, with a minimum of 200 megabytes of free disk space for the installation of the ToCoM system and database. Internet Explorer® Version 5.5+ required.
  • To set up a Single-User ToCoM System: ToCoM may be installed and run on a single Windows98/Millenium edition, NT/Windows 2000 or Windows XP workstation of suitable configuration for evaluation purposes

    • Note that this 'Quick Start' Guide refers to a network installation for the ToCoM suite - for a single-user evaluation setup, the 'server' noted will then be the workstation you wish to use for the evaluation.

  • The ToCoM System can be installed (either for single or multi-user operation) to use the Microsoft® SQL Server Desktop Engine, which is included on the installation disk. The main system setup utility will allow you to choose to use this data engine, or your own SQL Server. The Microsoft® SQL Server Desktop Engine is supplied free of charge, and can support from one to ten concurrent users (although many people have reported excellent performance when used with a much greater number of users).

    • OR

  • Microsoft® SQL Server© installed and running on a computer server on your network. Versions 7 and 2000 are both supported. If you don't currently have SQL Server, and wish to evaluate this sytem, a trial version can be ordered or downloaded direct from Microsoft. For more details, go to the Microsoft SQL Web site on http://www.microsoft.com/sql/evaluation/trial/.
  • Administrative (or equivalent) security privileges to your network, and to your SQL Server installation.
  • A licence key, supplied by iSYS Systems Integration Ltd., to enable access to the ToCoM system. If you don't have a key, contact us via e-mail at support@tcmsys.com, or telephone +44(0)1324 832881 during office hours –the next page of the Quick Start Guide contains detailed instructions for obtaining your Licence Key.
  • Workstations connected to your network to run the ToCoM client and Desktop programs. Windows 98 and Millennium versions, Windows NT® (service pack 6 recommended), Windows 2000 and Windows XP operating systems are supported.
  • Workstation configuration: Pentium class processor (400mhz+ recommended), 128 megabytes of RAM (256 recommended for Win2000/XP), graphics card capable of 1024x768 display in True Colour mode (1200x1024 recommended), 17" Monitor (19" recommended), 25 megabytes of free disk space for support components installation (110 megabytes required for full local installation), mouse and keyboard. Internet Explorer® Version 5.5+ required.
  • If you intend to use CTI (Computer Telephony Integration), your workstations will have to have the relevant TAPI (Telephony Application Programming Interface) driver installed and configured, as supplied by your telecoms/switch vendor.

Note that this version of the ToCoM Suite supports TAPI 2 functionality- if your telephony interface is not TAPI compliant, contact iSYS via e-mail at support@tcmsys.com , or telephone +44(0)1324 831394 during office hours. Other telephony interfaces can be supported on request.

  • If you intend to use ToCoM Voice Recording, your workstations will require to be equipped with a compliant 16-bit soundcard and connector cable.

See System Manager Options – Voice Recording for further details on setting up ToCoM Voice Recording.


Installing the ToCoM Software on your Server

To set up ToCoM on your server, follow these steps:

  • On the network server which will host the ToCoM system, insert the ToCoM Setup CD into the drive.
  • The setup program should start automatically – if it doesn't, open the CD in Explorer, and browse to the ToCoM Setup directory.
  • Run the ToCoMSetup.EXE program.

  • Click the Next button to continue – the Setup program will display the Licence Agreement.

Use the bar at the right to scroll through the Agreement. If you accept the Terms of the Agreement, click on the Accept button. If you don't agree with the Terms, click on the Decline button, and the setup program will end. The Agreement covers both the 'Introductory' version of the ToCoM Suite, as well as non restricted versions.

Note that, if you are installing the 'Introductory' version, there are no limitations imposed on the functionality of the Suite. A fully functional 10 user licence for the Suite is provided, with no time-out. The Suite can be dynamically upgraded to support as many user accounts as required - for details on upgrades, please contact us.

An evaluation version of the Suite may be upgraded to an unrestricted version at any time via the application of an unrestricted Licence Key – no re-installation is required, and existing data and Campaigns are not affected.

  • The program will prompt you for the folder on your server to install the ToCoM system to (for example, C:\ToCoM). It's recommended that you accept the default name of this folder (i.e. ToCoM) – the drive you install the software to on your server will depend on its configuration and your preferences.

  • Setup will now ask you to choose whether you wish to install the in-built Microsoft® SQL Server Desktop Engine, or use an existing Microsoft® SQL Server instance.

    The Microsoft® SQL Server 2000 Engine is supplied free of charge, and is capable of providing excellent performance for around 10 concurrent users - although many sites have noted good performance when this engine is used with many more users than stated in the documentation (included on the installation CD in the 'MSDE' folder). If you choose to install the Desktop Engine, this installation process will commence after you have installed the ToCoM software.

    Note that the instance of the Desktop Engine will be installed to the workstation you're currently using - if you intend to set up a multi-user version, you'll need to be running the installation on the server you wish to use.

  • Click on Next - confirm that you want to go ahead with the installation by clicking the Install button.

  • The automated setup process will create your ToCoM directory structure on your server. This process will take a few minutes.
  • When the ToCoM software has been installed, you'll also be prompted to install Microsoft® Data Access Components version 2.7. (Note that the ToCoM System requires these components to operate). Follow the on-screen instructions to install these components..

Note: The installation of Microsoft Data Access Components may prompt you to re-start your machine. If prompted to re-start, select the I will restart my computer myself option, and let the ToCoM setup package complete.

If you elected to install the Microsoft® SQL Server 2000 Engine included with the system, this installation process will now start (and can take several minutes, depending on your system). After the SQL Server installation has completed, you'll need to re-boot your workstation.

  • After the server has re-booted, and you're setting up a multi-user system, create the ToCoM directory as a new share (.e.g. \\MyServer\ToCoM) to enable access to the system files across your network. For standard users, this share may be set to 'read only' for security. Power Users and Workflow systems will require read/write access (for more details on Power Users and Workflow Systems, see the ToCoM System Manager User's Guide).

Uninstalling ToCoM

The installation process will create an 'Uninstall' option (available both from the start menu shortcut, and the Control Panel, 'Add/Remove Programs' applet). Using this option will completely remove the ToCoM Suite from your computer, retaining any data files you may have used. If you also chose to install the Microsoft® SQL Server 2000 Desktop Engine, you can de-install this service from the Control Panel, 'Add/Remove Programs' applet. The de-installation process will automatically remove the Process Service from your server or workstation. Before de-installing the software, ensure that the ToCoM Process Service has been stopped, via the 'Manage Services' utility in the Workflow Management Console.


Installing the ToCoM Data Systems on your SQL Server

Note: It is recommended that you're logged into your server as Administrator to run the Setup Assistant.

Note: In order to be able to run the ToCoM System Setup Assistant, you'll need to be running it on a computer which has Microsoft SQL Server® client tools installed - if you've installed the SQL Server 2000 Engine supplied, the required files will have been registered on your workstation by the installation utility.

To set up the ToCoM Database System, follow these steps:

  • Once the ToCoM server system has been installed, and your server has been restarted, the ToCoM Setup Assistant should start automatically. (If it doesn't - browse to the ToCoM directory you've just created and locate and run the ToCoM System Setup Assistant.exe program).
  • The following screen will be displayed:

  • Click Next to move to the next page of the Assistant.


Creating the ToCoM Database

To continue, the Assistant needs to connect to your SQL Server. Type the name of your server where prompted (e.g. 'MySQLServer'), and supply a username and password with sufficient security privileges to create and manage databases (the 'sa' account is recommended). If your SQL Server is set up to use Windows Authentication, you can check the relevant option to connect.

If you're using the supplied SQL Server engine, the SQL Server entry will be the name of your server or workstation (this entry will be automatically supplied by the setup program). The username used to connect will be 'sa', and the password will be blank.

Click on the 'Connect' button - if an error is displayed, check that the username and password you supplied are valid (and were entered in the right case), and that your SQL Server is running.

If you installed the SQL Server Desktop Engine included with the system, your new SQL Server service may not have started automatically when you re-booted your workstation. To check this, or start the SQL Server service, double-click on the SQL Server icon in the system tray (at the right of your status bar):

Double-clicking on his icon will bring up the Service Manager, which will allow you to start, or stop, the SQL service:

To ensure that the service always starts with your computer, make sue the 'Auto-start' option is checked.

The Assistant will connect to your SQL Server, and display the next page.


Define your Database Parameters

This page defines which directory on your SQL Server computer will be used to store the ToCoM data files.

If the server you installed the ToCoM system to is the same server on which SQL Server is installed and running, you can use the Browse button to select the folder where the data files will be stored.

If SQL Server is running on another computer, you'll need to type in the pathname to the folder (e.g. E:\MyDataFiles), which is a valid folder name on that computer.

You can also choose the initial size of the ToCoM data files, or accept the recommended default settings.

When you have supplied the above information, click the Next button and the Assistant will create and configure your new ToCoM database, and populate it with default and demonstration data.

During this process, the Assistant will display status information:

Once the Assistant has created the data systems, a message will be displayed that the ToCoM database has been successfully created.


Setup ToCoM Default Access Accounts

To allow access to the system, ToCoM uses two default user login accounts for SQL Server (system security is defined through the ToCoM System Manager Security Matrix – see the System Manager's User Guide for more information).

The next page of the Assistant will prompt you to provide the User Name and Password for these accounts:

Enter the Account Names and Passwords as required. Remember to make a secure note of these account names and passwords for later reference.

When you've supplied the information, click Next, and the account details will be verified and created.

Note that pressing the Cancel button at this stage will remove all updates you have made, and will also remove the ToCoM database you've created.


Configuring and Licensing your System

This page of the Assistant is used to define final configuration and system personalisation information:

  • Enter the Name for your system. The name you enter (for example, ToCoM Demo System) will appear on the bottom section of the ToCoM Startup 'sign-on' screen:

Note that you can change this name at a later date using the ToCoM Connection editor (TCMConnect.exe) supplied with the system.

  • Enter the name of the Server computer that is being used to run ToCoM (e.g. MyServer).
  • Enter the location of the ToCoM Shared Directory on this server (e.g. \\MyServer\ToCoM). Note that this must be the network pathname to the share – not the actual folder pathname. You can use the browse button to the right of this field to browse your Network Neighbourhood to locate the shared ToCoM network folder.
  • If you didn't create a 'share' for the ToCoM directory after installing the software, you can do it now - start Windows Explorer, browse to the folder you installed ToCoM< to (e.g. c:\ToCoM), and set sharing on this folder

    • Note that, for a local workstation/single user installation, enter (or browse to) the folder where you installed ToCoM on the local machine

  • Enter your name and company information. These entries will appear on the ToCoM 'splash' screens, above your licence key details:

Note that these entries may not be changed at a later date.

  • Enter your ToCoM Licence Key in the boxes provided. Your ToCoM licence key is 20 characters long, in the format ABCD-EFGH-IJKL-MNOP-QRST. Each box accepts 4 characters of the licence key.

The licence key for the ToCoM 'Introductory' version is pre-filled. This is:

2A6A - FFK8 - 3H6H - 8H6J - 3QHH

This key will licence the Suite for up to 10 concurrent users. If you require to extend the number of concurrent users provided by this key, please contact iSYS Systems Integration for an updated Licence Key.

When you press the Finish button, the details and the licence you have entered will be verified.

If the error Invalid Licence Key is displayed, make sure that the licence key you typed exactly matches the key supplied.

The Assistant will display the following screen:


Starting the ToCoM Suite

Clicking on the Start ToCoM button will allow you to start the ToCoM system under the initial default credentials of Administrator (an in-built ToCoM account).

If the system fails to start (or you're not logged into your server under the Administrator account), you'll have to modify the ToCoM desktop shortcut to allow /LOGON (alternate user) authentication. For more details on 'alternate user' accounts, see the ToCoM System Manager's Guide.


Alternate Logon

This initial method of starting the ToCoM System is used to bypass ToCoM's normal method of user validation, which is based on your Windows User Name. To allow ToCoM to start in this manner (by prompting you for a user name and password) until you have the appropriate user security defined in ToCoM, follow these steps.

  • If a shortcut to ToCoM doesn't already exist on your desktop, create a shortcut to the ToCoM start-up program, which is the file ToCoM.exe in your main ToCoM system folder (e.g. \\MyServer\ToCoM\ToCoM.exe).
  • Right-click on the properties of this shortcut, and append ' /logon' to the shortcut target, as shown (remember to leave a space between the target path, and the '/logon' switch).

The '/logon' switch on the shortcut target will force ToCoM to provide a Username/Password verification to provide access to the system. To remove this verification and start the ToCoM system normally, remove the '/logon' switch from the shortcut.

The default in-built security account available when you've first installed the system is:

Username: Administrator

Password: <blank> (i.e. do not enter a password)

When you double-click the ToCoM shortcut after appending the /logon switch, you'll be prompted to enter this username (initially without a password) before the system starts:

Note that, if you are logged onto your workstation or server with the username of, for example, SmithJ, you will have to create a user in ToCoM with the username of SmithJ with appropriate security clearances, to be able to start ToCoM in the normal manner. For more details on creating system users and security options within ToCoM, please see the System Manager's User Guide.

Also note that, unless you are logged on as Administrator to your workstation or server, you will have to use the above method of starting the system until such times as you've created the relevant user accounts in ToCoM.


Next

Congratulations – you've now installed and configured the ToCoM system on your server. All that remains to be done before you and your users can start using the system is:

Configuring and Starting the ToCoM System Services

Configuring your system

Setting up access to ToCoM on your workstations

Setting up User Accounts, Security, and Optional Components (e.g. CTI)

Whilst the above tasks are covered in detail in the ToCoM System Administrator's guide, we'll go through the steps required in this 'Quick Start' Guide – so you can get ToCoM up and running as quickly, and as easily, as possible.


Configuring your ToCoM System

ToCoM now needs to be configured to work with your network configuration. Although the following information is covered in more depth in the ToCoM System Administration Guide, the following steps will quickly take you through the basic settings to get you up and running.

Start the ToCoM system, from the desktop shortcut. (If you haven't got a desktop shortcut, browse to the folder on your server where you installed ToCoM, and start the ToCoM.exe program). If you're logged on to your workstation or server as the Administrator account (which is the default initial account supplied with your ToCoM system), the ToCoM start-up window will be displayed.

If you receive an error then your security profile for the system was not found, you'll need to start the ToCoM.exe program with a /logon switch (see Alternate Logon for instructions on setting this up), and log onto the system with the following details:

Username: Administrator

Password: <blank> (i.e. do not enter a password)

  • Click on the System Manager button (the first button on the left, in the middle tier of buttons). TheToCoM System Manager program will start:

  • Go to the Window Menu, and select Options from the drop-down menu.

The System Manager Options dialogue will be displayed:


System Manager Options - Services

On the Services tab:

  • If the correct I.P. Address of your server/workstation is not displayed, or incorrect, enter the I.P. Address (e.g. 219.100.124.100) of the server you installed the ToCoM system to. Note that, if you're currently logged on to this server, the I.P. Address will be displayed in the Status Bar at the bottom of the System Manager window:

  • Enter the Port Number for the ToCoM Message server, or accept the default port. (Note: if your network uses firewall technology, you may have to update your firewall to allow traffic on the selected port number).
  • In the System Services box, enter the name of the server you wish to use for network 'broadcast' messaging, or accept the default entry. The Net Messages Server is likely to be the name of the server you installed ToCoM to – the system will use this server as a 'net send' portal for instant messaging within the system. For more information on this messaging function, see the ToCoM System Manager's Guide.
  • If you use a Windows compatible Fax server on your network, enter the name of this service in the Network Fax Server Name field. This entry is optional, and is used by the system Export functions to allow use of your fax server, if available.

Note that the entries on the other tabs of the System Configuration Options dialogue are optional, and can be changed at any time - you can apply the above information and skip to the section on Installing the ToCoM System Services.


System Manager Options - E-Mail Support

System Manager Options – E-Mail Support

On the E-Mail Support tab:

  • Select whether you wish to use your Microsoft Outlook® Address books as the source for e-mail addresses when e-mailing direct from ToCoM, or whether you wish to use 'internet' e-mail addresses (with this type of e-mail addressing, you'll have to type in the full e-mail address). Note that, if your users do not have Outlook available, but you do have an e-mail account available on the ToCoM server, you'll have to select the 'Internet' option.
  • In order to use the e-mail integration functions within the ToCoM Suite, the server on which you run the system requires to have access to an e-mail account on that server. In the Profile field, enter the Profile Name of the e-mail account to use (e.g. Outlook).
  • The ToCoM Workflow service is capable of automatically e-mailing export files and reports directly to you and your users, as well as your clients. E-Mail is also used for notification of success or failure of scheduled workflow tasks to your operators. This e-mail service appends an 'auto-signature' to each e-mail – enter your E-Mail Auto-Signature for these automated e-mails in the box provided.


System Manager Options - Components

System Manager Options – Components

The Components tab allows for the restriction of system functions:

In this version of the ToCoM Suite, no components have been restricted – it's recommended that you don't update the information on this screen. If you accidentally disable a function and require the enable code, please contact iSYS Systems Integration.


System Manager Options - Display

The Display tab allows you to select the display theme for the system. These settings are available for most programs within the ToCoM Suite (each program in the suite can have its own individual theme, if you want). These settings are particular to your user session (that is, they're not global settings), and will be remembered for one session to the next (even if you're logged in on a different workstation).


System Manager Options - Voice Recording

System Manager Options – Voice Recording

The Voice Recording tab allows you to set up parameters that control the optional Recording module within ToCoM.

To be able to use the ToCoM Voice Recorder module, you'll need a soundcard installed in each workstation and a 'T'-piece connector to attach the advisor's telephone or teleset to the line in or microphone input socket (depending on the type of teleset and 'T'-piece connector) of the soundcard. These cables are generally commercially available for most types of telephone equipment – if you want to use the Voice Recorder module within ToCoM and are having difficulty finding the correct cabling, please contact iSYS Systems Integration Ltd for assistance.

ToCoM uses an area of the Workstation's hard drive to temporarily store voice recordings. If full voice recording is used, this could require up to 1 GB of temporary storage on the drive – note that ToCoM also supports 'spot recording' on a campaign by campaign basis. See the Campaign Manager User's Guide for more details.

At scheduled intervals (or overnight), a workflow task moves all recording data from the workstations to an encrypted and compressed storage area on a server or archive unit of your choice.

The Workstation Folder field denotes the folder that will be used to store temporary voice data on your workstations.

Note that, for any workstations using Voice Recording, this folder will require to be created as specified above on their local drive. In order for the Voice Data collation service to operate, this folder must also be shared, and the account used for the Workflow Service (see later) must have read/write access to the folder.

Although you can create as many Voice Recorder Repositories as required via the Voice Recorder Managmenet Console, you can initialise three main repositories here:

  • On-Line Folder denotes the Voice Recording repository on a server used to initially store voice recordings, which may be searched and accessed via the Voice Recorder Console. Enter the pathname to the folder to be used.
  • Optical Drive Folder (optional) denotes the network pathname to an optical or DAT based archive folder for storing Voice Recordings and Playlists. This may also be searched and recordings retrieved for playback or transmission to clients, however access times may be slower, as the required media may have to be loaded for data retrieval.
  • Offline Folder (optional) denotes an archive area for recording data. This may also be searched and recordings located for playback or transmission to clients, however access times may be slower, as again the required media may have to be loaded for data retrieval.

Once you've applied these changes to your new system configuration, you can now install the ToCoM System service layer.


Installing the ToCoM System Services

Configuring the ToCoM System Services

In order to operate, ToCoM requires the support of a system service layer, providing internal messaging and workflow support services. These services are managed by a Windows NT/2000 service, the ToCoM Process Service, which must be installed and initialised prior to using the Desktop, CallWatch, or the Workflow systems.

The ToCoM Service layer will have been automatically installed by the system installation utility, but now needs configured to work with your new system.

To install the ToCoM Process Service, follow these steps:

  • Run the Windows NT/2000 'Services' applet from the Administrative Tools menu (or the Control Panel in Windows NT). Locate the entry for the ToCoM Process Service (Windows 2000 shown)

  • Ensure that the Startup type is set to Automatic – this will allow to the service to start automatically when your server starts.
  • Use the 'Log On' Tab to set up the Username for the service to run under.

Note that the ToCoM service layer requires access to network resources, and cannot run under the 'System' account (which it is initially installed to). It is highly recommended that the account you choose must have administrative rights, in order for the various service layers to operate correctly.

Enter the Username and password as required, and apply your changes - note that, if the account you choose does not already have 'Log On As Service' privilege, this will automatically be assigned by the system.

(This option is accessed via the 'Startup' button in the Windows NT Service properties applet).

You can start the service now if you wish, or start it from the Workflow Console Service Management utility.


Setting Up Workstations to use ToCoM - Setting Up Workstations to use ToCoM

Setting Up Workstations to use ToCoM

Client Components Install - 25 MB of free disk space required.

With a Client Components Install, only drivers and components are loaded to the workstation, and the ToCoM executable programs are run from the network server. (If required, a Full Client Install for network and remote users is also available - please contact iSYS Systems Integration Ltd. for more details).

Insert the ToCoM CD into the drive of the Workstation you wish to set up. The file required to run a Client Component Install is ToCoMClient.exe.

Note: To make installation of your workstations easier, it might be appropriate to copy the setup files you require to a shared network drive, and run the server executable from that location, rather than using the CD.

  • Run the appropriate setup program – the following screen will be displayed.

  • Click the Next button, and select the folder where you wish to install the program:

  • Supply the network pathname to the main ToCoM folder containing the system executable files (i.e. the network share name of the folder you previously installed the main ToCoM system to):

Select whether you wish to install Administrative Shortcuts to the ToCoM folder that'll be created on your start menu. By default, ToCoM installs an icon to your desktop which points to the main ToCoM startup window. By installing Administrative Shortcuts, the ToCoM entry in your Start Menu will contain shortcuts to ToCoM Administrative and Support programs.

When you click on the Next button, the installer will set up ToCoM on your workstation. After the installation is completed, you'll have to re-boot the workstation. After the re-boot, an icon should be visible on the workstation desktop, enabling access to ToCoM.

To allow your users to access the system from their workstations, it's necessary to set up appropriate ToCoM user accounts, security groups and teams.


Setting up User Accounts and Security Groups

ToCoM comes supplied with an initial user account of Administrator (for setting up the system), who is allocated to Security Group Default, and in Team Administration. This account has full administrative security rights to the ToCoM system. Although the ToCoM User Accounts and Groups configuration is fully described in the System Manager User's Guide and on-line help, this 'quick start' guide will go through the basic steps required to set up Users, Teams and Groups.

By default, ToCoM recognises each user via their Windows Login Name. Each user must therefore have a user account (with this login name) created within ToCoM. Each user account can be granted a security level access to the system, from Administrative to Restricted, or have a tailored security level to the system. System security and the default templates for security can be set up via the System Security Matrix in the System Manager. Although ToCoM comes supplied with a default set of security matrices, you may wish to change these to suit your own organisation and requirements. See the System Manager User's Guide for more information.

Access to Campaign information and workflow queues (such as the Call-Back queue) is restricted to security groups. A security group is composed of one or more user accounts – this allows different users to be allowed, or disallowed, access to any of your campaigns or work queues. Each user may be a member of one, many, or all, security groups.

Each user should also be a member of a team. Teams are necessary for reporting segmentation and work tracking, and are also useful for allocating users under a Team Leader, for example. Unlike security groups, a user may only be a member of one team at a time.

Security Groups

User Accounts

Teams


Groups, Teams and Users

To set up your system for general use then, it is a matter of creating Security Groups, creating one or more Teams, then creating User Accounts, and allocating these accounts to one or more security groups, and a team:

  • Start the ToCoM system, and click on the System Manager button.
Security Groups
  • When the System Manager starts, go to the System menu, and select the Security Groups option.

The Security Groups window will open, with the system created group of Default visible.

  • Click on the Help button on the toolbar to bring up the on-line help on creating and managing Security Groups.
  • Create your security group(s) as required.
User Accounts
  • From the System Menu, select the User Accounts option.

The User Accounts window will open, with the default system-generated account of Administrator visible. Note that this is a system account – it is not recommended that you delete it – you can remove this account's access to the system, if required.

  • Click on the Help button on the toolbar to bring up the on-line help on creating and managing User Accounts.
  • Create your user account(s) as required, set their security levels, and allocate them to security groups.
Teams
  • From the System Menu, select the Teams and Team Members option.
  • When the Teams and Team Members window is displayed, click the Help button on the toolbar to display the on-line manual to assist you in creating your initial teams, and allocating your users to them.

The System Manager contains a vast array of options and information used for customising ToCoM to suit your organisational requirements. Help on any of these options is available in the on-line manual, accessible from the 'Help' buttons on each toolbar.


Starting the System Service Layer

To be able to start the ToCoM Desktop, and configure your telephony integration, and to be able to use the Desktop, CallWatch, and Workflow programs, the ToCoM Message and Workflow Services must be started.

To start these services, follow these steps:

  • Since installing the ToCoM Process Service, you may have re-booted your server, and the process Service (which controls the Message and Workflow Services) will ahve automatically started. You may also have previously started the service manually. To check this, use the Workflow Management Console - Manage Services option, or run the Windows NT/2000 Services applet, and check that the ToCoM Process Service is running - if it isn't, start it. This may also be because the service startup is not set to 'Automatic' - if this is the case, select 'Automatic' as the service startup type.
  • Start the ToCoM Suite from the desktop shortcut.
  • Click on the Workflow Console button to start the ToCoM Workflow Management Console.

  • To start the Workflow and Messaging support services, click on the green 'Go' button on the toolbar. If there's a red Stop button visible, this means that the Message Service and Workflow Service are already running - so you don't need to do anything else.

You can check that the Workflow Service has initialised correctly on your server.

  • Select Workflow Service Log from the Logs menu – you should see something like the following (note that it can sometimes take a few seconds for the logfile details to be flushed to the log file):

Don't worry if you haven't set up an e-mail account, or operator e-mail logging yet. This can be set up later – see the Workflow Management Console User's Guide for details.

The ToCoM support services are now active.


Configuring Optional CTI (Computer Telephony Integration)

The ToCoM Suite is supplied with a TAPI 2.2 compliant CTI Interface. If you use a TAPI interface in your call-centre, or your telecoms supplier provides a TAPI enabled interface to your switch (ACD) or switchboard, ToCoM will normally be able to integrate to it.

Using the CTI interface, you'll be able to use the progressive assisted dial features of the system, and, depending on the interface capabilities of your TAPI implementation, inbound call auto-answer with CLI (Caller Line Identification) call recognition (customer details 'pop-up') and DNIS (Dialled Number Identification Service) routing.

Where another CTI interface type or server is used, the ToCoM Suite will require different interface drivers – contact iSYS Systems Integration for details on working with other CTI interfaces.

Within the ToCoM Suite, the CTI interface is set up and configured for each desktop instance, or workstation. This allows you to decide which workstations will use CTI (for example, where you may have a limited number of CTI licences) – users may switch CTI on and off dynamically, dependant on your requirements.

To be able to use the CTI Interface, the relevant TAPI driver from your telecoms supplier must be installed on the workstation. Follow the instructions provided by your telecoms supplier to install appropriate TAPI drivers on your workstations:

To set up ToCoM to use your installed TAPI driver, follow these steps:

  • On the workstation on which you wish to use the CTI interface start the ToCoM Suite, then start the Desktop option.
  • From the View menu on the main toolbar, select the System Configuration option.

  • From the Desktop Configuration Options dialogue that appears, select the System Interfaces tab.

  • Check the CTI Interface is Available box to enable CTI options.
  • Select the TAPI Provider you require from the drop-down list of available drivers. If the driver you require is not listed, ensure that it has been properly installed on the workstation. Pressing the Configure button will allow you to set driver options for your chosen TAPI provider.
  • If your switch (ACD) or switchboard requires that telephone numbers are prefixed with the digit 9 in order to make an outbound call, check the '9' prefix option – otherwise leave this un-checked.
  • The Show TAPI Log option allows you to display an on-screen log of calls to, and responses from, your TAPI provider, and is generally used for de-bugging information if problems are encountered. Leave this option un-checked, unless you are experiencing problems with CTI integration.
  • The option Use Desktop Progressive Dial allows the ToCoM Desktop to 'auto-wrap' outbound calls where a line is busy, unanswered or unobtainable. These options are set up on a Campaign basis through the Campaign Manager – see the Campaign Manager User's Guide for more information. This option also depends on the information that your TAPI provider is capable of supplying to ToCoM – certain interfaces may only provide some of this capability.

When you click on the Apply button to save your changes, ToCoM will attempt to initialise the Softphone on the Advisor Desktop.

If the ToCoM Softphone starts up in Ready or Release mode, you've successfully configured CTI on the workstation – try making some 'dummy' calls to ensure everything's working. For more details on working with the Softphone, and configuring its operation, see the Desktop User's Guide.

If the Softphone 'LCD Display' shows Error, check the following:

  • Your TAPI provider is installed and working properly.
  • Your switch (ACD) or switchboard is on-line, and network connections are correct.
  • Go to the Desktop Configuration Options dialogue, and check the Show TAPI Log option. Re-start your ToCoM Desktop and check any error messages displayed in the TAPI Log window.
  • Workstation and User permissions for your CTI provider have been correctly entered, where applicable.

If you're encountering difficulties setting up ToCoM to use CTI, please register for support via our website on www.tcmsys.com.


Installation Complete

This completes the 'Quick Start' Guide.

To become familiar with the configuration and use of the ToCoM Suite, use the on-line help guides and tutorials throughout the system. Be sure to:

  • Look at the options within System Manager for configuring ToCoM to suit your business process and terminology
  • Check out the demo Campaigns supplied with the system
  • Use the Demo Campaigns to make some 'dummy' calls on the Desktop
  • Track these call results through 'QuickStats', or watch on-line activity in 'CallWatch'

If you need any help or have any questions - the ToCoM Support Desk is there to help. To register for your 10 days free support, go to our web site at www.tcmsys.com, and click on the 'Register for Free Support' link.

We hope you enjoy using ToCoM.

the ToCoM Team


Starting the ToCoM Process Service from the Workflow Console

Note: If you experience any difficulties starting the ToCoM Process service, the paramaters for staring and managing the service may be accessed from the services applet in Windows NT and Windows 2000. The Administrator account used for the service must have Log On As Service privilege - this will be automatically applied if you manually edit the account properties for service start-up through the Windows Services applet, apply your changes, and start the service. (Once the service has successfully started, no further maintenance is required - for more details on the ToCoM Service layers, please see the System Administrator's Guide.

The simplest way of starting (and stopping the ToCoM Process Management Service (which is responsible for monitoring, starting and stopping the ToCoM Message Server and the ToCoM Workflow Service) is to use the Workflow Management Console.

  • Start the ToCoM system, and select the Workflow Console button on the window:

  • When the Workflow Management Console program starts, select Manage Services from the Services menu:

  • On the Service Properties dialogue box, select to start the ToCoM services by clicking on the Start button :

You'll be prompted to confirm your start request - once you confirm, the ToCoM services will start.

Don't worry if you haven't set up an e-mail account, or operator e-mail logging yet. This can be set up later - see the Workflow Management Console User's Guide for details.

More details on managing the ToCoM System Services are available in the System Administrator's Guide

Once the Process Management service has been started, you'll be able to try out the programs in the suite.

Note: When you run any program in the ToCoM Suite for the first time, you will find the program windos displayed in their default position and sizes. Move and re-size the windows to suit your preferences - the system will remember your personal preferencs from session to session, even if you log onto another workstation

You may also want to set up your own default sizing and positioning for the windows displayed in the ToCoM Desktop to be available for new users. See the Desktop User's Guide or on-line help for more information on setting up defaults for new users.